"""002_Improve_Country_Region_City

Revision ID: e762970a0a48
Revises: 682ee69e9c62
Create Date: 2023-08-11 10:36:52.455277

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'e762970a0a48'
down_revision = '682ee69e9c62'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('city', 'vk_id',
               existing_type=mysql.INTEGER(display_width=11),
               nullable=False)
    op.alter_column('city', 'title',
               existing_type=mysql.VARCHAR(length=256),
               nullable=False)
    op.drop_index('city__title__region_id__unique', table_name='city')
    op.alter_column('country', 'vk_id',
               existing_type=mysql.INTEGER(display_width=11),
               nullable=False)
    op.alter_column('country', 'title',
               existing_type=mysql.VARCHAR(length=256),
               nullable=False)
    op.alter_column('region', 'vk_id',
               existing_type=mysql.INTEGER(display_width=11),
               nullable=False)
    op.alter_column('region', 'title',
               existing_type=mysql.VARCHAR(length=256),
               nullable=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('region', 'title',
               existing_type=mysql.VARCHAR(length=256),
               nullable=True)
    op.alter_column('region', 'vk_id',
               existing_type=mysql.INTEGER(display_width=11),
               nullable=True)
    op.alter_column('country', 'title',
               existing_type=mysql.VARCHAR(length=256),
               nullable=True)
    op.alter_column('country', 'vk_id',
               existing_type=mysql.INTEGER(display_width=11),
               nullable=True)
    op.create_index('city__title__region_id__unique', 'city', ['title', 'region_id'], unique=False)
    op.alter_column('city', 'title',
               existing_type=mysql.VARCHAR(length=256),
               nullable=True)
    op.alter_column('city', 'vk_id',
               existing_type=mysql.INTEGER(display_width=11),
               nullable=True)
    # ### end Alembic commands ###
